#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Net
%define		pnam	IDN-Encode
Summary:	Encoding/decoding of Internationalized Domain Names (IDNs)
Summary(pl.UTF-8):	Kodowanie/dekodowanie międzynarodowych nazw domenowych (IDN)
Name:		perl-Net-IDN-Encode
Version:	2.500
Release:	1%{?tld}
# "same as perl"
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7e5697a38cf05ff66be96947815573da
URL:		http://search.cpan.org/dist/Net-IDN-Encode/
%if %{with tests}
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Test-NoWarnings
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Unicode-Normalize
%endif
BuildRequires:	perl-devel >= 1:5.8.5
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The "Net::IDN::Encode" module provides an easy-to-use interface for
Internationalized Domain Names (IDNs).

%description -l pl.UTF-8
Moduł Net::IDN::Encode dostarcza łatwego w użyciu interfejsu do
obsługi Międzynarodowych Nazw Domenowych (Internationalized Domain
Names - IDN).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Net/IDN/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/IDN/Encode.pm
%{perl_vendorlib}/Net/IDN/Punycode.pm
%{perl_vendorlib}/Net/IDN/Punycode.xs
%{perl_vendorlib}/Net/IDN/Punycode
%{perl_vendorlib}/Net/IDN/UTS46.pm
%{perl_vendorlib}/Net/IDN/UTS46
%{_mandir}/man3/Net::IDN::Encode.3pm*
%{_mandir}/man3/Net::IDN::Overview.3pm*
%{_mandir}/man3/Net::IDN::Punycode*.3pm*
%{_mandir}/man3/Net::IDN::Standards.3pm*
%{_mandir}/man3/Net::IDN::UTS46*.3pm*
%changelog
* Sun Apr 28 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-IDN-Encode.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 78617c4
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c3fa02
- up to 2.500

* Fri Jun 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 0658b2d
- updated to 2.003 (now it uses UTS46 internally; for IDNA2003 see Net::IDN::IDNA2003)

* Tue Dec 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 74cdbf5
- updated to 1.100

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d065ab
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 104a7a6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f40d716
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 2094881
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> ff74222
- updated to 0.02

* Sat Jun 05 2004 radek <radek@pld-linux.org> ebd023e
- massive: unfold macros in name/summary & other unifications

* Mon May 31 2004 ankry <ankry@pld-linux.org> dd2c1bc
- pl, caps

* Mon May 31 2004 Adam Gołębiowski <adamg@pld-linux.org> 4cc5d28
- bconded (tests) BuildRequires added

* Mon May 31 2004 Adam Gołębiowski <adamg@pld-linux.org> 4c2f8bd
- new

